#include <QApplication>
#include <QTranslator>
#include <QDebug>
#include <QLibraryInfo>
#include "dialog.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QApplication::setOrganizationName("Stephane List");
    QApplication::setApplicationName("qMetronome");


    qDebug() << "Locale : " << QLocale::system().name();

    QTranslator qtTranslator;
    if (qtTranslator.load("qt_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
        app.installTranslator(&qtTranslator);
    else
        qDebug("Failed to load a translation for QT in your local language");

    QTranslator myTranslator;
    if (myTranslator.load("qMetronome_" + QLocale::system().name(), QCoreApplication::applicationDirPath()))
        app.installTranslator(&myTranslator);
    else
        qDebug("Failed to load a translation for the application");


    // the translator must be created before the application's widgets.




    Dialog w;
    w.show();
    return app.exec();
}
