#include "pa.h"
#include <QDebug>
#include <QCoreApplication>


pa::pa()
{
    /*
    Basicaly, the following pactl commands are used :
    pactl upload-sample tick.wav tick
    pactl play-sample tick
    pactl remove-sample tick
    */

    PlayProcess_.start(QString("/usr/bin/pactl upload-sample %1/tick.wav tick").arg(QCoreApplication::applicationDirPath()));
    if (PlayProcess_.waitForFinished())
        qDebug("upload sample ok");
    else
        qWarning("Error while uploading sample");
}

pa::~pa()
{
    PlayProcess_.start("/usr/bin/pactl remove-sample tick.wav tick");
    PlayProcess_.waitForFinished();
}

const char * pa::get_library_version()
{
    return pa_get_library_version();
}

void pa::play()
{
    //qDebug("play");
    PlayProcess_.start("/usr/bin/pactl play-sample tick");
}
